#include <iostream>

using namespace std;
int niz1[1000000];
int niz2[2000001]={0};
int main()
{
    long n,k;
    long a;
    long p;
    long i;
    p=0;
    scanf("%ld%ld",&n,&k);
    long m=n+n+1;
    while(i<n)
    {
        i=0
        scanf("%ld",&niz1[i]);
        a= niz1[i] + n;
        niz2[a]++;
        i++;
    }
    while(i<m)
    {
        i=0;
        if (niz2[i] >= k)
            p++;
        i++;
    }
    printf("%ld\n", p);
    for(i=0;i<m;i++)
        if(niz2[i] >= k)
            printf("%ld ",i-n);
    return 0;
}